# The Prefix used on SOLR, Website and Database instances.
$prefix = "XP1"
# The Password for the Sitecore Admin User
$SitecoreAdminPassword = "b"
# The root folder with the license file and WDP files.
$SCInstallRoot = "C:\ResourceFiles"
# Names for the Sitecore xconnect servers.
$xConnectSitenameCollection = "$prefix.collection"
$xConnectSitenameProcessingEngine = "$prefix.processingEngine"
$xConnectSitenameRefdata = "$prefix.refdata"
$xConnectSitenameReporting = "$prefix.reporting"
$xConnectSitenameSearch = "$prefix.search"
# The name for the Sitecore Content Management server.
$CMSitename = "$prefix.cm"
# The name for the Sitecore Content Delivery server.
$CDSiteName = "$prefix.cd"
# The tenant_id
$TenantId = "aaaaaaaa-bbbb-cccc-dddd-eeeeffff0001"
# The Config service based URL
$ML_Config_BaseUrl = "https://configservice-qa.sitecoreml.com"
# A token used to authenticate against config service for your tenantId
$ML_Config_Token = "eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJpYXQiOjE2MTkyMjAxMTIsIm5iZiI6MTYxOTIyMDExMiwianRpIjoiM2NiM2Q1ZGEtY2RiNC00NmFmLWE2ZjAtZjk4NzBhNGI1N2M3IiwiaWRlbnRpdHkiOiJhYWFhYWFhYS1iYmJiLWNjY2MtZGRkZC1lZWVlZmZmZjAwMDEiLCJmcmVzaCI6ZmFsc2UsInR5cGUiOiJhY2Nlc3MifQ.QGbxqhHnFn7DegHLzSwzzepzxatsjiuWrgr0xoQQ3OQ"

# The Experience Accelerator packages to install
$xConnectPackage = (Get-ChildItem "$SCInstallRoot\Sitecore.AI.xdb.*.scwdp.zip").FullName
$SitecoreAICMPackage = (Get-ChildItem "$SCInstallRoot\Sitecore.AI.cm.*.scwdp.zip" -Exclude "*CD*").FullName
$SitecoreAICDPackage = (Get-ChildItem "$SCInstallRoot\Sitecore.AI.cd.*.scwdp.zip" -Include "*CD*").FullName

# Parameters
$sitecoreParams = @{
    Path									= "$SCInstallRoot\config\SitecoreAI-SingleDeveloper-XP1.json"
    xConnectPackage             			= $xConnectPackage
    SitecoreAICMPackage                		= $SitecoreAICMPackage
    SitecoreAICDPackage                		= $SitecoreAICDPackage
    Prefix                      			= $prefix
    SitecoreAdminPassword       			= $SitecoreAdminPassword
    xConnectSitenameCollection 				= $xConnectSitenameCollection
	xConnectSitenameReporting  				= $xConnectSitenameReporting
	xConnectSitenameRefdata    				= $xConnectSitenameRefdata
	xConnectSitenameProcessingEngine 		= $xConnectSitenameProcessingEngine
	xConnectSitenameSearch	    			= $xConnectSitenameSearch
	TenantId				    			= $TenantId
	ML_Config_BaseUrl		    			= $ML_Config_BaseUrl
	ML_Config_Token			    			= $ML_Config_Token
    SitecoreContentManagementSiteName       = $CMSitename
    SitecoreContentDeliverySiteName         = $CDSiteName
}

Push-Location $SCInstallRoot

Install-SitecoreConfiguration @sitecoreParams -verbose *>&1 | Tee-Object SitecoreAI-SingleDeveloper.log

Pop-Location